## Introduction to APsystems EZ1M Python Library

Welcome to the documentation for the APsystems EZ1M Python Library. This library provides a comprehensive interface for interacting with the EZ1 Microinverters from APsystems. Designed with simplicity and efficiency in mind, it enables users to easily monitor and control various aspects of their EZ1 Microinverters over a network.

## Key Features

- **Device Information Retrieval:** Fetch detailed information about your microinverter, including device ID, firmware version, network details, and power settings.<br><br>
- **Alarm Status Monitoring:** Keep track of the alarm status for critical components, ensuring timely identification and response to potential issues.<br><br>
- **Output Data Analysis:** Access real-time data on power output, energy readings, and total energy accumulation for efficient energy management.<br><br>
- **Power Management:** Adjust and monitor the power output settings of your microinverter to optimize performance.<br><br>
- **Network Communication:** Utilize the async capabilities of Python to communicate with your device seamlessly over a network.
